﻿@using Portal.Models;
@using System.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Data;
@using Portal.Controllers;
              
@model Toyota.Common.Web.MVC.ModelHolder
           
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

@section Style{
    #searchParameters {
        margin-left: auto;
        margin-right: auto;
        margin-top: 10px;
        width: 94%;
        padding: 10px;
        border: 1px solid #756B6B;
    }

    #searchResultTable {
        margin-top: 10px;
        margin-left: auto;
        margin-right: auto;
        width: 95%;
    }

    #dataGrid {
        display: block;
    }
}

@section Script{
    $(document).ready(function(){
        username = null;
        startDate = ASPxClientControl.GetControlCollection().GetByName("StartDate");
        endDate = ASPxClientControl.GetControlCollection().GetByName("EndDate");
    });
    function UpdateSearchResult(s, e) {
        if (!ASPxClientEdit.ValidateGroup (''))
            return;        
        username = txtUsername.GetText();
        startDate = StartDate.GetDate();
        endDate = EndDate.GetDate();
        
        if (!grdData.InCallback())
                grdData.PerformCallback();              
            
    }

    function clearSearchFields(s, e){
        var txtUn = ASPxClientControl.GetControlCollection().GetByName("txtUsername");
        var deFrom = ASPxClientControl.GetControlCollection().GetByName("StartDate");
        var deTo = ASPxClientControl.GetControlCollection().GetByName("EndDate");
        var today = new Date();
        today.setDate(today.getDate() + parseInt(1));

        txtUn.SetText('');
        username = '';
        startDate = new Date(today.getFullYear(), today.getMonth(), 2);
        endDate = today;
        deFrom.SetText('@ViewData["StartDate"]');
        deTo.SetText('@ViewData["EndDate"]');
        grdData.PerformCallback();
    }
}

<div id="searchParameters">
    <table border="0" width="100%">
        <tr>
            <td style="width: 100px;">
                @Html.DevExpress().Label(
                    edtSettings =>
                    {
                        edtSettings.ControlStyle.CssClass = "label";
                        edtSettings.Text = "Username";
                    }).GetHtml()
            </td>
            <td style="width: 10px;">
                :
            </td>
            <td colspan="3">
                @Html.DevExpress().TextBox(
                    edtSettings =>
                    {
                        edtSettings.Name = "txtUsername";
                        edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(200);
                    }).GetHtml()
            </td>
        </tr>
        <tr>
            <td>
                @Html.DevExpress().Label(
                    edtSettings =>
                    {
                        edtSettings.ControlStyle.CssClass = "label";
                        edtSettings.Text = "Date";
                    }).GetHtml()
            </td>
            <td>
                :
            </td>
            <td style="width: 100px">
                @Html.DevExpress().DateEdit(
                    edtSettings =>
                    {
                        edtSettings.Name = "StartDate";
                        edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                    }).Bind(ViewData["StartDate"]).GetHtml()
            </td>
            <td style="width: 20px">
                @Html.DevExpress().Label(
                    edtSettings =>
                    {
                        edtSettings.ControlStyle.CssClass = "label";
                        edtSettings.Text = "To";
                    }).GetHtml()
            </td>
            <td>
                 @Html.DevExpress().DateEdit(
                    edtSettings =>
                    {
                        edtSettings.Name = "EndDate";
                        edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                    }).Bind(ViewData["EndDate"]).GetHtml()
            </td>
        </tr>
    </table>
    <table border="0" width="100%">
        <tr>
            <td align="right">
                @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "btnSearch";
                        settings.ControlStyle.CssClass = "button";
                        settings.Text = "Search";
                        settings.ClientSideEvents.Click = "UpdateSearchResult";
                    }
                ).GetHtml()
            </td>
            <td align="right" style="width:50px;">
                @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "btnClear";
                        settings.ControlStyle.CssClass = "button";
                        settings.Text = "Clear";
                        settings.ClientSideEvents.Click = "clearSearchFields";
                    }
                ).GetHtml()
            </td>
        </tr>
    </table>
</div>

<div id="searchResultTable">
    <div id="dataGrid" style="width:100%">
        @Html.Partial("LoginSessionPartial", Model)
    </div>
</div>